%define module sphinxext-rediraffe

Name:           python-sphinxext-rediraffe
Version:        0.2.7
Release:        %mkrel 5
Summary:        Sphinx extension to redirect nonexistent pages
License:        MIT
Group:          Development/Python
URL:            https://wpilib.org/
Source0:        https://pypi.io/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
This sphinx extension redirects non-existent pages to working pages.
Rediraffe can also check that deleted/renamed files in your git repo are
redirected.

Rediraffe creates a graph of all specified redirects and traverses it to
point all internal urls to leaf urls.  This means that chained redirects
will be resolved.  For example, if a config has 6 chained redirects, all
6 links will redirect directly to the final link.  The end user will
never experience more than 1 redirection.

Note: Rediraffe supports the html and dirhtml builders.

%package     -n python3-%{module}
Summary:        Sphinx extension to redirect nonexistent pages
Group:          Development/Python

%description -n python3-%{module}
This sphinx extension redirects non-existent pages to working pages.
Rediraffe can also check that deleted/renamed files in your git repo are
redirected.

Rediraffe creates a graph of all specified redirects and traverses it to
point all internal urls to leaf urls.  This means that chained redirects
will be resolved.  For example, if a config has 6 chained redirects, all
6 links will redirect directly to the final link.  The end user will
never experience more than 1 redirection.

Note: Rediraffe supports the html and dirhtml builders.

%prep
%autosetup -n %{module}-%{version}

# The package needs jinja2 to function, but setup.py doesn't say so
sed -i '/install_requires/s/\[/&"jinja2", /' setup.py

# Retrieving the version with git fails
sed -i 's/main/%{version}/' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files 'sphinxext*'

%check
# The tests fail due to a missing dependency on seleniumbase
%pyproject_check_import

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.2.7-5.mga10
+ Revision: 2241535
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.2.7-4.mga10
+ Revision: 2158753
- rebuild for python3.13

* Fri Dec 29 2023 papoteur <papoteur> 0.2.7-3.mga10
+ Revision: 2023798
- rebuild again for python 3.12

* Thu Dec 07 2023 wally <wally> 0.2.7-2.mga10
+ Revision: 2015323
- rebuild for py3.12

* Thu Oct 26 2023 daviddavid <daviddavid> 0.2.7-1.mga10
+ Revision: 2001768
- initial package python-sphinxext-rediraffe

